<?php
User::blockNotWorking();

$this->PageTitle = false;

$nomeCliente  = Util::getNomeImplantacao($model->Cliente->CLI_NOME, $model->Cliente->CLI_IMPLANTACAO);
$nomeCliente .= Util::getPendencias($model->Cliente, true);

$this->renderPartial('_menu', array('model' => $model));

$autorizador = $model->Cliente;
$autorizado = $model->ClienteAutorizado;
?>
<div id="div-documentos">
    <h1>Solicitações de Transferência &raquo; <?= $nomeCliente; ?> &raquo; Documentos</h1>

    <div class="portlet" id="yw4">
        <div class="portlet-content">
            <ul id="yw5">
                <?php
                    if ($model->podeCadastrarTermoCancelamento()) {
                        $link = CHtml::link(
                            FaHtml::iconNovo(false) . " Gerar Termo de Cancelamento",
                            array("clientesTransferencias/gerarTermoCancelamento", "id" => $model->CLT_IDTRANSFERENCIA),
                            array("class" => "novo-documento nova-transferencia-sistema")
                        );

                        echo "<li>{$link}</li>";
                    }

                    if ($model->podeCadastrarTransferenciaBanco()) {
                        $link = CHtml::link(
                            FaHtml::iconNovo(false) . " Gerar Transferência de Banco de Dados",
                            array("clientesTransferencias/gerarTermosBanco", "id" => $model->CLT_IDTRANSFERENCIA),
                            array("class" => "novo-documento nova-transferencia-dados")
                        );

                        echo "<li>{$link}</li>";
                    }

                    if ($model->podeCadastrarContrato()) {
                        $link = CHtml::link(
                            FaHtml::iconNovo(false) . " Novo Contrato",
                            array("clientesTransferencias/cadastroContrato", "id" => $model->CLT_IDTRANSFERENCIA),
                            array("class" => "novo-documento novo-contrato")
                        );

                        echo $link;
                    }

                    if ($model->podeCadastrarPedidoImplantacao()) {
                        $link = CHtml::link(
                            FaHtml::iconNovo(false) . " Novo pedido de implantação",
                            array("clientesTransferencias/cadastroPedido", "id" => $model->CLT_IDTRANSFERENCIA),
                            array("class" => "novo-documento novo-pedidoimplantacao")
                        );

                        echo $link;
                    }
                ?>
            </ul>
        </div>
    </div>

    <?php
        if ($model->deveCadastrarTermoCancelamento()) {
            if (!$model->podeCadastrarTermoCancelamento()) {
                $link = CHtml::link(
                    "Clique aqui para editar o cadastro",
                    array("clientes/update", "id" => $model->CLT_IDCLIENTE_AUTORIZADO),
                    array("target" => "_blank")
                );

                $msg = "
                    <p><strong>Atenção</strong></p>
                    <p>
                        Para poder gerar o Termo de Cancelamento,
                        os seguintes campos são obrigatórios no cadastro do cliente autorizado:
                    <p>
                ";

                $msg .= "<p>";
                    $msg .= "- CNPJ";
                $msg .= "</p>";

                $msg .= "<p><strong>{$link}</strong></p>";
                echo FaHtml::alert($msg, 'warning', false, false);
            }
        } elseif ($model->deveCadastrarTermoBanco()) {
            $camposInvalidos = $model->getCamposInvalidosCadastroTermoBanco();
            if (!empty($camposInvalidos)) {
                $link = CHtml::link(
                    "Clique aqui para editar o cadastro",
                    array("clientes/update", "id" => $model->CLT_IDCLIENTE_AUTORIZADO),
                    array("target" => "_blank")
                );

                $msg = "
                    <p><strong>Atenção</strong></p>
                    <p>
                        Para poder gerar Termos de Transferência de Banco de Dados,
                        os seguintes campos são obrigatórios no cadastro do cliente autorizado:
                    <p>
                ";

                $msg .= "<p>";
                    foreach ($camposInvalidos as $campo) {
                        $msg .= "- {$model->Cliente->getAttributeLabel($campo)} <br>";
                    }
                $msg .= "</p>";

                $msg .= "<p><strong>{$link}</strong></p>";
                echo FaHtml::alert($msg, 'warning', false, false);
            }
        } elseif ($model->deveCadastrarContrato()) {
            $camposInvalidos = $autorizado->cadastroCompleto(true);
            if (is_array($camposInvalidos)) {
                $link = CHtml::link(
                    "Clique aqui para editar o cadastro",
                    array("clientes/update", "id" => $model->CLT_IDCLIENTE_AUTORIZADO),
                    array("target" => "_blank")
                );

                $msg = "
                    <p><strong>Atenção</strong></p>
                    <p>
                        Para poder gerar CONTRATOS, os seguintes campos são obrigatórios
                        no cadastro do cliente autorizado:
                    </p>
                ";
                $msg .= "<p>";
                    $msg .= "- " . implode('<br /> - ', $camposInvalidos);
                $msg .= "</p>";

                $msg .= "<p><strong>{$link}</strong></p>";

                echo FaHtml::alert($msg, 'error', false, false);
            }
        }
    ?>

    <?php

    $botoes = '{view} {PDF} {atividade}';
    if (User::isAdmin()) {
        $botoes .= ' {delete}';
    }

    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'id' => 'contratos-grid',
        'dataProvider' => $dataProvider,
        'selectableRows' => 1,
        'afterAjaxUpdate'=>'updated',
        'selectionChanged' => 'function(id){ location.href = "' . Yii::app()->createUrl('contratos/view') . '&id="+$.fn.yiiGridView.getSelection(id);}',
        'columns' => array(
            'COT_IDCONTRATO',
            'COT_DTCADASTRO',
            array(
                'name' => 'COT_SITUACAO',
                'value' => 'Util::getTipoDocumento($data->COT_SITUACAO) . ($data->COT_SITUACAO == Contratos::ADENDO && !empty($data->COT_IDSERVICO) ? " - " . $data->Servico : "").$data->getIconAssinatura()',
                'type' => 'raw'
                ),
            array(
                'name' => 'Cliente',
                'value' => 'GxHtml::valueEx($data->Cliente)',
                ),
            array(
                'name' => 'Cliente.CLI_CNPJCPF',
                'value' => 'Util::formataCNPJCPF($data->Cliente->CLI_CNPJCPF)',
                ),
            array(
                'name' => 'COT_IDPRODUTO',
                'value' => 'GxHtml::valueEx($data->Produto)',
                ),
            array(
                'name' => 'COT_VLRIMPLANTACAO',
                'value' => 'Util::verMoeda($data->COT_VLRIMPLANTACAO)',
                ),
            array(
                'name' => 'COT_VLRMENSAL',
                'value' => '$data->valorNegociado',
                'header' => 'Valor negociado'
                ),
            array(
                'name' => 'COT_STATUS',
                'value' => '$data->Status',
                ),
            array(
                'class' => 'CButtonColumn',
                'template' => $botoes,
                'buttons' => array(
                    'view' => array(
                        'label' => 'Exibir',
                        'url' => 'Yii::app()->createUrl("contratos/view", array("id"=>$data->COT_IDCONTRATO))',
                        ),
                    'PDF' => array(
                        'label' => 'Gerar PDF',
                        'imageUrl' => FaHtml::getImgUrl('ico-pdf.png'),
                        'url' => '(!empty($data->Arquivo)) ? $data->Arquivo->getUrl() : Yii::app()->createUrl("contratos/gerarpdf", array("id"=>$data->COT_IDCONTRATO))',
                        'visible' => '$data->mostrarPdf()'
                        ),
                    'atividade' => array(
                        'label' => 'Inserir atividade',
                        'imageUrl' => FaHtml::getImgUrl('ico-solciitacoes.png'),
                        'url' => 'Yii::app()->createUrl("atendimentos/dcreate", array("ATD_IDCLIENTE"=>$data->COT_IDCLIENTE, "ATD_IDCONTRATO"=>$data->COT_IDCONTRATO))',
                        ),
                    'update' => array(
                        'label' => 'Editar Contrato',
                        'url' => 'Yii::app()->createUrl("contratos/update", array("id"=>$data->COT_IDCONTRATO))',
                        'visible' => '$data->canUpdate()'
                        ),
                    'delete' => array(
                        'label' => 'Deletar Contrato',
                        'url' => 'Yii::app()->createUrl("contratos/delete", array("id"=>$data->COT_IDCONTRATO))',
                        'visible' => 'User::isAdmin()'
                        ),
                    ),
                ),
            ),
        )
    );
    ?>
</div>

<h1>Informações da Solicitação</h1>
<?php
$this->renderPartial('_view', array('model' => $model));

$cs = Yii::app()->getClientScript();

$css = <<<CSS
    h1 {
        margin-bottom: 0px!important;
        padding: 0!important;
        padding-bottom: 0!important;
    }
    #infos {
        float: left;
        width: 100%;
    }
    .portlet + .alert {
        margin-top: 10px;
    }
CSS;
$cs->registerCss(Util::uid(), $css);